------------------------------------------------------------------------------------
--Name：     210207[简体征服][活动脚本]全球愚人节活动-剧情引导
--Creator:      傅伟龙
--Created:     2021-02-07
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>170


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(189,262);

------------------------------------------------------------

local effectObj1 = CppScriptMgr:AddEffect( "zf2-e128", 195, 268);
CppScriptMgr:WaitMilSec(100);
local effectObj3 = CppScriptMgr:AddEffect( "zf2-e128", 191, 271);
CppScriptMgr:WaitMilSec(100);
local effectObj4 = CppScriptMgr:AddEffect( "zf2-e128", 196, 264);
CppScriptMgr:WaitMilSec(100);
local effectObj5 = CppScriptMgr:AddEffect( "zf2-e128", 190, 262);
CppScriptMgr:WaitMilSec(100);
local effectObj2 = CppScriptMgr:AddEffect( "zf2-e128", 197, 260);
CppScriptMgr:WaitMilSec(100);
local effectObj7 = CppScriptMgr:AddEffect( "zf2-e128", 201, 264);
CppScriptMgr:WaitMilSec(100);
local effectObj8 = CppScriptMgr:AddEffect( "zf2-e128", 187, 270);
CppScriptMgr:WaitMilSec(100);
local effectObj9 = CppScriptMgr:AddEffect( "zf2-e128", 195, 276);
CppScriptMgr:WaitMilSec(100);
local effectObj6 = CppScriptMgr:AddEffect( "zf2-e128", 192, 265);
CppScriptMgr:WaitMilSec(1000);

local General1 = CppScriptMgr:AddPlayer(143,192,265, "ShennongSpirit",4003000002,1) ;
General1:SetZoomPercent(130)

General1:SetDir(7);
General1:SetAction(200);
General1:Say("Abracadabra", 3000);
CppScriptMgr:WaitMilSec(2000);


local effectObj1 = CppScriptMgr:AddEffect( "glebesword", 195, 269);
CppScriptMgr:WaitMilSec(2000);
CppScriptMgr:NpcCallOut("    I will clear everything in my way.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc10086", 150, 430, "ShennongSpirit", 250, 655)

CppScriptMgr:WaitMilSec(5000);